<template>
  <b-modal
    id="add-user-modal"
    v-model="openModal"
    size="md"
    title="Créer un jeu de donnée"
  >
    <div>
      <b-overlay
        id="overlay-background"
        :show="loading"
        :variant="'white'"
        :opacity="0.7"
        :blur="'2px'"
        rounded="sm"
      >
        <p v-if="dataset">Aucun fichier de ressource n'est présent.</p>
        <p>Voulez-vous créer un jeu de données sans ressource?</p>
      </b-overlay>
    </div>
    <template #modal-footer>
      <div class="w-100">
        <b-button
          variant="outline-secondary"
          class="float-left"
          @click="hide"
        >
          Annuler
        </b-button>
        <b-button
          variant="primary"
          class="float-right"
          @click="createDataset"
        >
          Confirmer
        </b-button>
      </div>
    </template>
  </b-modal>
</template>

<script>
export default {
  name: 'CreateDatasetWihoutResource',

  props: {
    open: {
      type: Boolean,
      default: false
    },
    dataset: {
      type: Object,
      default: () => { return {} }
    }
  },

  data() {
    return {
      openModal: false,
      loading: false
    }
  },

  watch: {
    open: function(newValue) {
      this.resetModal();
      this.openModal = newValue;
    }
  },

  methods: {
    resetModal() {
      this.openModal = false;
      this.loading = false;

    },
    createDataset() {
      this.$emit('create');
      this.$emit('hide');
    },
    hide() {
      this.$emit('hide');
    }
  }
}
</script>

<style lang="less" scoped>

h2 {
  color: @blue;
  margin-top: 0.8em;
  margin-left: 0.5em;
}

h4 {
  color: @blue;
  margin-top: 0.8em;
}

</style>
